package com.pb.test;


import org.hibernate.SessionFactory;
import org.hibernate.ejb.HibernateEntityManager;

import javax.ejb.Stateless;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;


@Stateless
@Path("test")
public class Test {

//    @PersistenceContext
//    private HibernateEntityManager em = null;

    @GET
    @Produces({MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON, MediaType.TEXT_PLAIN})
    public Response get() {

        String msg = String.format("%1s: %2s\n", SessionFactory.class.getPackage().getName(), SessionFactory.class.getPackage().getImplementationVersion()) +
                String.format("%1s: %2s", HibernateEntityManager.class.getPackage().getName(), HibernateEntityManager.class.getPackage().getImplementationVersion());

        System.out.println(msg);

        return Response.ok().entity(msg).build();
    }
}
